Adobe Reader 8 or higher....

New Here ,
Sep 16, 2022 Sep 16, 2022

Copy link to clipboard

Copied

I keep on installing adobe, even though I had it already. The form I am trying to download says I need version 8 or higher and cannot open it. Can you help?

 

I cannot open reader., when I download the document I try it to open but it gives the message above... need version 8 or higher.... Apparently I had higher but it will not open either,.   Don't remember having this problem in the past.....

 

Advice given says open in acrobat but surely I have to download the document I need.... then I press on the downloaded document and then I have the problem.  so step by step please?

TOPICS
How to

Views

30

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Sep 16, 2022 Sep 16, 2022

Copy link to clipboard

Copied

LATEST

Tell me more about your computer and OS.

 

What exactly are you trying to do? Can you share a screenshot?

Are you viewing the document in your browser first?

ABAMBO | Hard- and Software Engineer | Photographer

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines